# Gimp.context_set_sample_criterion

    @accepts(Gimp.SelectCriterion)
    @returns(bool)
    def context_set_sample_criterion(sample_criterion):
        # Python wrapper for gimp_context_set_sample_criterion()

Set the sample criterion setting.

Modifies the sample criterion setting. If an operation depends on the colors of the pixels present in a drawable, like when doing a seed fill, this setting controls how color similarity is determined. SELECT_CRITERION_COMPOSITE is the default value.

This setting affects the following procedures: Gimp.Image.select_color, Gimp.Image.select_contiguous_color, Gimp.Drawable.edit_bucket_fill.

Since 2.8

sample_criterion

  The sample criterion setting.

Returns